%averhst - Avereging histogram among +-StepX neighbors
function HstV=averhst(HstA,StepA);

%Outputs:
%HstV - histogram averaged among StepA nearest neighbors

%Inputs:
%HstA - Initial histogram vector.
%StepA - Number of nearest +- neighbors to average.

lA=length(HstA);
for i=1:lA
    StepAm=min([StepA,i-1,lA-i]);	%minimal symmetrical averaging
   HstV(i)=mean(HstA(i-StepAm:i+StepAm));
end
