%hstsave - function for hystogram saving
function [Hst,BinsX,BinsY]=hstopen(FileName);	%open histogram file function
%Outputs:
%Hst -	Histogram data file
%BinsX -	X bins' boundaries vector.
%BinsY -	Y bins' boundaries vector.

%Input:
%FileName -	Filename template

fh=fopen([FileName,'.txh']);

t=fgets(fh);	%Reading text file header
lnXY=sscanf(t,'%g %g');	%Bins vectors dimensions
%lnXY=round(lnXY);

Hst=zeros((lnXY(1)-1),(lnXY(2)-1));	%Histogram matrix reserving

for i=1:lnXY(1)	%Reading X bins values
    t=fgets(fh);
    BinsX(i)=sscanf(t,'%g');
end

for i=1:lnXY(2)	%Reading Y bins values
    t=fgets(fh);
    BinsY(i)=sscanf(t,'%g');
end

for i=1:(lnXY(1)-1)
    t=fgets(fh);
    HRow=sscanf(t,'%g');
    Hst(i,:)=HRow';
end

fclose(fh);