%Function to postprocess simulation data with dependence of apparant dE, dA and Gamma0.5 on the amount of dispersion between the channels
%function [FileNamesOut]=multistate_multichan_postprocess(FileNames);

SaveResults=1;
PlotResults=1;
SaveImage=1;
%_____________ Files selection
if isempty(FileNames)
	%FileNames={'WT_MscL_substates.txt_dA-sim_05-May-2004_15-30-34_ApDeltaE-vs-dA.txt'};	%Default filenames list 
% 	FileNames={'WT_MscL_substates.txt_dEA-sim_06-May-2004_18-42-37_ApDeltaA-vs-dEA.txt',... 
% 			'WT_MscL_substates.txt_dEA-sim_06-May-2004_18-42-37_ApDeltaE-vs-dEA.txt',...
% 			'WT_MscL_substates.txt_dEA-sim_06-May-2004_18-42-37_ApGamma05-vs-dEA.txt',...
% 			'WT_MscL_substates_relO.txt_dEA-sim_06-May-2004_23-04-51_ApDeltaA-vs-dEA.txt',... 
% 			'WT_MscL_substates_relO.txt_dEA-sim_06-May-2004_23-04-51_ApDeltaE-vs-dEA.txt',... 
% 			'WT_MscL_substates_relO.txt_dEA-sim_06-May-2004_23-04-51_ApGamma05-vs-dEA.txt'};	%Default filenames list
% 	FileNames={'WT_MscL_substates.txt_dEA-sim_07-May-2004_11-16-27_ApDeltaA-vs-dEA.txt',...
% 		'WT_MscL_substates.txt_dEA-sim_07-May-2004_11-16-27_ApDeltaE-vs-dEA.txt',...
% 		'WT_MscL_substates.txt_dEA-sim_07-May-2004_11-16-27_ApGamma05-vs-dEA.txt',...
% 		'WT_MscL_substates_relO.txt_dEA-sim_07-May-2004_10-43-48_ApDeltaA-vs-dEA.txt',...
% 		'WT_MscL_substates_relO.txt_dEA-sim_07-May-2004_10-43-48_ApDeltaE-vs-dEA.txt',...
% 		'WT_MscL_substates_relO.txt_dEA-sim_07-May-2004_10-43-48_ApGamma05-vs-dEA.txt'};	%Default filenames list
	
% 	FileNames={'WT_MscL_substates.txt_dA-sim_05-May-2004_15-30-34_ApDeltaA-vs-dA.txt',...
% 		'WT_MscL_substates.txt_dA-sim_05-May-2004_15-30-34_ApDeltaE-vs-dA.txt',...
% 		'WT_MscL_substates.txt_dA-sim_05-May-2004_15-30-34_ApGamma05-vs-dA.txt',...
% 		'WT_MscL_substates.txt_dE-sim_05-May-2004_15-01-20_ApDeltaA-vs-dE.txt',...
% 		'WT_MscL_substates.txt_dE-sim_05-May-2004_15-01-20_ApDeltaE-vs-dE.txt',...
% 		'WT_MscL_substates.txt_dE-sim_05-May-2004_15-01-20_ApGamma05-vs-dE.txt',...
% 		'WT_MscL_substates_relO.txt_dA-sim_05-May-2004_13-42-07_ApDeltaA-vs-dA.txt',...
% 		'WT_MscL_substates_relO.txt_dA-sim_05-May-2004_13-42-07_ApDeltaE-vs-dA.txt',...
% 		'WT_MscL_substates_relO.txt_dA-sim_05-May-2004_13-42-07_ApGamma05-vs-dA.txt',...
% 		'WT_MscL_substates_relO.txt_dE-sim_05-May-2004_14-30-42_ApDeltaA-vs-dE.txt',...
% 		'WT_MscL_substates_relO.txt_dE-sim_05-May-2004_14-30-42_ApDeltaE-vs-dE.txt',...
% 		'WT_MscL_substates_relO.txt_dE-sim_05-May-2004_14-30-42_ApGamma05-vs-dE.txt'};	%Default filenames list
	v='C:\Andrey\Other-\Matlab\Patching\Data';	%Default folder
	if isempty(FileNames)
		ft='*.txt';	%extension 
		[FileNames,v]=uigetfiles(ft,'Select the distribution file:');	%Dialog to select file
	end
end
cd(v);


%________________ Cycle through the files
for f=1:length(FileNames)	%Cycle through the files
	AllParameters=load(FileNames{f});
	dPar=AllParameters(:,1)';
	ApPar=AllParameters(:,2:end)';
	
	%_________  Average apparent parameter values
	%averhst parameters:
	%Outputs:
	%HstV - histogram averaged among StepA nearest neighbors
	%Outside - number of bins which was added at every histogram side for outside averaging
	
	%Inputs:
	HstA=ApPar;	%Initial histogram vector
	StepA=100;	% - Number of nearest +- neighbors to average.
	AverMode=1;	% - mode of averaging : running average <1>, triangular shape running average <2>, Averaging with custom coefficients <3>
	AverOutside=0;	%Option for the Range of averaging - do not average outside <1>, average boarding bins with outside as 0 <2>, or make circular averaging (join last bin with the first bin)
	[HstA,Outside]=averhstl(HstA,StepA,AverMode,AverOutside);
	
	%_________  Calculate Square of distance from the point to the average and RMSD
	HstD=(ApPar-HstA).^2;	%Square of distance from the point to the average
	
	%_________  Average distance
	%Inputs:
	StepA=50;	% - Number of nearest +- neighbors to average.
	AverMode=2;	% - mode of averaging : running average <1>, triangular shape running average <2>, Averaging with custom coefficients <3>
	AverOutside=0;	%Option for the Range of averaging - do not average outside <1>, average boarding bins with outside as 0 <2>, or make circular averaging (join last bin with the first bin)
	[HstD,Outside]=averhstl(HstD,StepA,AverMode,AverOutside);
	
	HstD=HstD.^0.5;	%RMSD
	
	%Plot results
	Nsub=size(ApPar,1);
	cl_min=2; cl_max=Nsub;	%Min and max values for color index
	%___ Plot DeltaE
	figure
	hold on
	for s=2:Nsub	%Cycle through substates
		if Nsub>2
			cl=s;	%Current index for color
			plot(dPar,ApPar(s,:),'.','MarkerSize',0.5,'Color', [(1-(cl-cl_min)/(cl_max-cl_min)),  (1-2*abs((cl-cl_min)-(cl_max-cl_min)/2)/(cl_max-cl_min)),  (cl-cl_min)/(cl_max-cl_min)]);
			plot(dPar,HstA(s,:),'-','LineWidth',2,'Color', [(1-(cl-cl_min)/(cl_max-cl_min)),  (1-2*abs((cl-cl_min)-(cl_max-cl_min)/2)/(cl_max-cl_min)),  (cl-cl_min)/(cl_max-cl_min)]);
			plot(dPar,(HstA(s,:)-HstD(s,:)),'--','Color', [(1-(cl-cl_min)/(cl_max-cl_min)),  (1-2*abs((cl-cl_min)-(cl_max-cl_min)/2)/(cl_max-cl_min)),  (cl-cl_min)/(cl_max-cl_min)]);
			plot(dPar,(HstA(s,:)+HstD(s,:)),'--','Color', [(1-(cl-cl_min)/(cl_max-cl_min)),  (1-2*abs((cl-cl_min)-(cl_max-cl_min)/2)/(cl_max-cl_min)),  (cl-cl_min)/(cl_max-cl_min)]);
		else
			plot(dPar,ApPar(s,:),'k.','MarkerSize',0.5);
			plot(dPar,HstA(s,:),'k-','LineWidth',2);
			plot(dPar,(HstA(s,:)-HstD(s,:)),'k--');
			plot(dPar,(HstA(s,:)+HstD(s,:)),'k--');
		end
	end	%Cycle through substates
	xlabel('dParameter','Interpreter','none')
	ylabel('Apparent Parameter','Interpreter','none')
	set(gca,'XGrid','on');
	set(gca,'YGrid','on');
	hold off
	if SaveImage==1	%save image
		tstr=['print -dpng ''',FileNames{f},'_avrg.png'''];
		eval(tstr);
		close;
	end
	
		
	%Save results to the file
	if SaveResults	%Option to save results in the file
		FileData=[dPar;HstA]'; save([FileNames{f},'_avrg.txt'],'FileData','-ascii','-tabs');
		FileData=[dPar;HstD]'; save([FileNames{f},'_std.txt'],'FileData','-ascii','-tabs');
		FileData=[dPar;(HstA-HstD)]'; save([FileNames{f},'_avrg-m-std.txt'],'FileData','-ascii','-tabs');
		FileData=[dPar;(HstA+HstD)]'; save([FileNames{f},'_avrg-p-std.txt'],'FileData','-ascii','-tabs');
	end	%Option to save results in the file
	



end	%Cycle through the files