function varargout = o_h_NormZN(varargin)
% O_H_NORMZN Application M-file for o_h_NormZN.fig
%    FIG = O_H_NORMZN launch o_h_NormZN GUI.
%    O_H_NORMZN('callback_name', ...) invoke the named callback.

% Last Modified by GUIDE v2.0 04-Jul-2002 14:46:38
global h_options
h_options=[];	%clear old options content

if nargin == 0  % LAUNCH GUI

	fig = openfig(mfilename,'reuse');

    % Use system color scheme for figure:
    set(fig,'Color',get(0,'defaultUicontrolBackgroundColor'));

	% Generate a structure of handles to pass to callbacks, and store it. 
	handles = guihandles(fig);
	guidata(fig, handles);

	if nargout > 0
		varargout{1} = fig;
	end

elseif ischar(varargin{1}) % INVOKE NAMED SUBFUNCTION OR CALLBACK

	try
		[varargout{1:nargout}] = feval(varargin{:}); % FEVAL switchyard
	catch
		%disp(lasterr);
	end

end


%| ABOUT CALLBACKS:
%| GUIDE automatically appends subfunction prototypes to this file, and 
%| sets objects' callback properties to call them through the FEVAL 
%| switchyard above. This comment describes that mechanism.
%|
%| Each callback subfunction declaration has the following form:
%| <SUBFUNCTION_NAME>(H, EVENTDATA, HANDLES, VARARGIN)
%|
%| The subfunction name is composed using the object's Tag and the 
%| callback type separated by '_', e.g. 'slider2_Callback',
%| 'figure1_CloseRequestFcn', 'axis1_ButtondownFcn'.
%|
%| H is the callback object's handle (obtained using GCBO).
%|
%| EVENTDATA is empty, but reserved for future use.
%|
%| HANDLES is a structure containing handles of components in GUI using
%| tags as fieldnames, e.g. handles.figure1, handles.slider2. This
%| structure is created at GUI startup using GUIHANDLES and stored in
%| the figure's application data using GUIDATA. A copy of the structure
%| is passed to each callback.  You can store additional information in
%| this structure at GUI startup, and you can change the structure
%| during callbacks.  Call guidata(h, handles) after changing your
%| copy to replace the stored original so that subsequent callbacks see
%| the updates. Type "help guihandles" and "help guidata" for more
%| information.
%|
%| VARARGIN contains any extra arguments you have passed to the
%| callback. Specify the extra arguments by editing the callback
%| property in the inspector. By default, GUIDE sets the property to:
%| <MFILENAME>('<SUBFUNCTION_NAME>', gcbo, [], guidata(gcbo))
%| Add any extra arguments after the last argument, before the final
%| closing parenthesis.



% --------------------------------------------------------------------
function varargout = o_h_SaveCntrlTrace_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_h_SaveCntrlTrace.
global h_options o_h_NormZN h_oph
h_options{1}=get(findobj(h_oph,'Tag','o_h_SaveCntrlTrace'),'Value');	%Mode of saving control trace



% --------------------------------------------------------------------
function varargout = o_h_AdvCond1_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_h_AdvCond1.
global h_options o_h_NormZN h_oph
%disp('o_h_AdvCond1 Callback not implemented yet.')
AdvCond1=get(findobj(h_oph,'Tag','o_h_AdvCond1'),'Value');	%Type of advanced condition
switch AdvCond1%Advanced condiion type
case 1	%'(No Condition)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 2	%'pike  (By the mean rates before and after point)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'Up or Down','Up','Down'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 3	%'mean(|Rate|)/|mean(Rate)|  (Noisy regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 4	%'|mean(Rate_after)-mean(Rate_before)|  (Acceleration region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 5	%'|mean(Rate_after)-mean(Rate_before)|/|mean(Rate)|  (Acceleration of pike type)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 6	%'1/std(Value) (Low noise regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 7	%'pike & mean(|Rate|)/|mean(Rate)|  (Pike in noisy region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 8	%'pike & max(|mean(Rate_before)|,|mean(Rate_after)|)  (pike near high rate region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 9	%'pike & max(|mean(Rate_before)|,|mean(Rate_after)|)/min(|mean(Rate_before)|,|mean(Rate_after)|)  (pike near high step)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 10	%'|mean(Rate_after)-mean(Rate_before)|/(|mean(Acclr_after)|+|mean(Acclr_before)|)  (Angle between stable rate regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 11	%'1/std(Rate)  (Linear regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 12	%'max(Up_in-row,Down_in-row)  (Highest continuous step size)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'Up or Down pike','Up pike','Down pike','Any point'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 13	%'max(Value)-min(Value)/sign(time(max(Value))-time(min(Value)))  (Largest step within regiion)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'Up or Down pike','Up pike','Down pike','Any point'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 14	%'mean(Value)  (Low mean value regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','Whole range','_before','_after','min(_before,_after)','max(_before,_after)','Whole range side','_side-before','_side-after','min(_side-before,_side-after)','max(_side-before,_side-after)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 15	%'std(Value)  (Noisy regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 16	%'mean(Rate)  (Stable in average regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','Whole range','_before','_after','min(_before,_after)','max(_before,_after)','Whole range side','_side-before','_side-after','min(_side-before,_side-after)','max(_side-before,_side-after)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 17	%'std(Rate)  (Unstable rate regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 18	%'Point_value-mean(Value)  (Points far from the mean value in region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'Whole range','_before','_after','min(_before,_after)','max(_before,_after)','Whole range side','_side-before','_side-after','min(_side-before,_side-after)','max(_side-before,_side-after)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 19	%'mean(Value_after)-mean(Value_before)  (Step regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','All the values _side','Positive only _side','Negative only _side','Absolute value _side'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 20	%'(mean(Value_after)-mean(Value_before))/mean([std(Value_after),std(Value_before)])  (Step between two low-noise regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','All the values _side','Positive only _side','Negative only _side','Absolute value _side'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 21	%'(mean(Value_after)-mean(Value_before))/min([std(Value_after),std(Value_before)])  (Step near low-noise region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','All the values _side','Positive only _side','Negative only _side','Absolute value _side'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
case 22	%'(mean(Value_middle)-mean(Value_after))-(mean(Value_middle)-mean(Value_before))  (Wide step regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'Point middle','Mean middle','Min of 3 diff','Max of 3 diff','Min of 4 diff','Min of 6/2 diff','Mean of 7 diff','Point middle averaged','*mean(Rate)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
otherwise
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond1_Opt'),'Value',1);
end


% --------------------------------------------------------------------
function varargout = o_h_AdvCond2_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_h_AdvCond2.
global h_options o_h_NormZN h_oph
%disp('o_h_AdvCond1 Callback not implemented yet.')
AdvCond2=get(findobj(h_oph,'Tag','o_h_AdvCond2'),'Value');	%Type of advanced condition
switch AdvCond2%{'(No Condition)','pike','m(|R|)/|m(R)|','|m(A)|','|m(A)|/|V|','1/sd','s.p.*dV/(V+Vmn)','s.p.*mx(Va,Vb)',...
case 1	%'(No Condition)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 2	%'pike  (By the mean rates before and after point)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'Up or Down','Up','Down'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 3	%'mean(|Rate|)/|mean(Rate)|  (Noisy regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 4	%'|mean(Rate_after)-mean(Rate_before)|  (Acceleration region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 5	%'|mean(Rate_after)-mean(Rate_before)|/|mean(Rate)|  (Acceleration of pike type)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 6	%'1/std(Value) (Low noise regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 7	%'pike & mean(|Rate|)/|mean(Rate)|  (Pike in noisy region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 8	%'pike & max(|mean(Rate_before)|,|mean(Rate_after)|)  (pike near high rate region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 9	%'pike & max(|mean(Rate_before)|,|mean(Rate_after)|)/min(|mean(Rate_before)|,|mean(Rate_after)|)  (pike near high step)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 10	%'|mean(Rate_after)-mean(Rate_before)|/(|mean(Acclr_after)|+|mean(Acclr_before)|)  (Angle between stable rate regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 11	%'1/std(Rate)  (Linear regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 12	%'max(Up_in-row,Down_in-row)  (Highest continuous step size)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'Up or Down pike','Up pike','Down pike','Any point'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 13	%'max(Value)-min(Value)/sign(time(max(Value))-time(min(Value)))  (Largest step within regiion)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'Up or Down pike','Up pike','Down pike','Any point'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 14	%'mean(Value)  (Low mean value regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','Whole range','_before','_after','min(_before,_after)','max(_before,_after)','Whole range side','_side-before','_side-after','min(_side-before,_side-after)','max(_side-before,_side-after)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 15	%'std(Value)  (Noisy regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 16	%'mean(Rate)  (Stable in average regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','Whole range','_before','_after','min(_before,_after)','max(_before,_after)','Whole range side','_side-before','_side-after','min(_side-before,_side-after)','max(_side-before,_side-after)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 17	%'std(Rate)  (Unstable rate regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 18	%'Point_value-mean(Value)  (Points far from the mean value in region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'Whole range','_before','_after','min(_before,_after)','max(_before,_after)','Whole range side','_side-before','_side-after','min(_side-before,_side-after)','max(_side-before,_side-after)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 19	%'mean(Value_after)-mean(Value_before)  (Step regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','All the values _side','Positive only _side','Negative only _side','Absolute value _side'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 20	%'(mean(Value_after)-mean(Value_before))/mean([std(Value_after),std(Value_before)])  (Step between two low-noise regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','All the values _side','Positive only _side','Negative only _side','Absolute value _side'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 21	%'(mean(Value_after)-mean(Value_before))/min([std(Value_after),std(Value_before)])  (Step near low-noise region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','All the values _side','Positive only _side','Negative only _side','Absolute value _side'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
case 22	%'(mean(Value_after#))-mean(Value_before#))  (Wide step regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'Point middle','Mean middle','Min of 3 diff','Max of 3 diff','Min of 4 diff','Min of 6/2 diff','Mean of 7 diff','Point middle averaged','*mean(Rate)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
otherwise
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond2_Opt'),'Value',1);
end


% --------------------------------------------------------------------
function varargout = o_h_AdvCond3_Callback(h, eventdata, handles, varargin)
% Stub for Callback of the uicontrol handles.o_h_AdvCond3.
global h_options o_h_NormZN h_oph
%disp('o_h_AdvCond1 Callback not implemented yet.')
AdvCond3=get(findobj(h_oph,'Tag','o_h_AdvCond3'),'Value');	%Type of advanced condition
switch AdvCond3%{'(No Condition)','pike','m(|R|)/|m(R)|','|m(A)|','|m(A)|/|V|','1/sd','s.p.*dV/(V+Vmn)','s.p.*mx(Va,Vb)',...
case 1	%'(No Condition)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 2	%'pike  (By the mean rates before and after point)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'Up or Down','Up','Down'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 3	%'mean(|Rate|)/|mean(Rate)|  (Noisy regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 4	%'|mean(Rate_after)-mean(Rate_before)|  (Acceleration region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 5	%'|mean(Rate_after)-mean(Rate_before)|/|mean(Rate)|  (Acceleration of pike type)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 6	%'1/std(Value) (Low noise regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 7	%'pike & mean(|Rate|)/|mean(Rate)|  (Pike in noisy region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 8	%'pike & max(|mean(Rate_before)|,|mean(Rate_after)|)  (pike near high rate region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 9	%'pike & max(|mean(Rate_before)|,|mean(Rate_after)|)/min(|mean(Rate_before)|,|mean(Rate_after)|)  (pike near high step)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 10	%'|mean(Rate_after)-mean(Rate_before)|/(|mean(Acclr_after)|+|mean(Acclr_before)|)  (Angle between stable rate regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 11	%'1/std(Rate)  (Linear regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 12	%'max(Up_in-row,Down_in-row)  (Highest continuous step size)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'Up or Down pike','Up pike','Down pike','Any point'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 13	%'max(Value)-min(Value)/sign(time(max(Value))-time(min(Value)))  (Largest step within regiion)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'Up or Down pike','Up pike','Down pike','Any point'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 14	%'mean(Value)  (Low mean value regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','Whole range','_before','_after','min(_before,_after)','max(_before,_after)','Whole range side','_side-before','_side-after','min(_side-before,_side-after)','max(_side-before,_side-after)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 15	%'std(Value)  (Noisy regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 16	%'mean(Rate)  (Stable in average regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','Whole range','_before','_after','min(_before,_after)','max(_before,_after)','Whole range side','_side-before','_side-after','min(_side-before,_side-after)','max(_side-before,_side-after)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 17	%'std(Rate)  (Unstable rate regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 18	%'Point_value-mean(Value)  (Points far from the mean value in region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'Whole range','_before','_after','min(_before,_after)','max(_before,_after)','Whole range side','_side-before','_side-after','min(_side-before,_side-after)','max(_side-before,_side-after)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 19	%'mean(Value_after)-mean(Value_before)  (Step regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','All the values _side','Positive only _side','Negative only _side','Absolute value _side'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 20	%'(mean(Value_after)-mean(Value_before))/mean([std(Value_after),std(Value_before)])  (Step between two low-noise regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','All the values _side','Positive only _side','Negative only _side','Absolute value _side'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 21	%'(mean(Value_after)-mean(Value_before))/min([std(Value_after),std(Value_before)])  (Step near low-noise region)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'All the values','Positive only','Negative only','Absolute value','All the values _side','Positive only _side','Negative only _side','Absolute value _side'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
case 22	%'(mean(Value_middle)-mean(Value_after))-(mean(Value_middle)-mean(Value_before))  (Wide step regions)'
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'Point middle','Mean middle','Min of 3 diff','Max of 3 diff','Min of 4 diff','Min of 6/2 diff','Mean of 7 diff','Point middle averaged','*mean(Rate)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
otherwise
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'String',{'(Default Options)'});	%Main options of condition
	set(findobj(h_oph,'Tag','o_h_AdvCond3_Opt'),'Value',1);
end
